<template>
  <reward class="reward-page" />
  <div class="mobile-referral-page hidden">
    <p class="text-2xl text-[var(--secondary)] w-[206px] text-center font-bold">
      Refer Friends And Get Reward!
    </p>
    <img
      :src="getAssetImage('assets/referral/pic-referral.png')"
      class="w-[200px]"
    />
    <div>
      <div class="text-center mb-2 font-normal text-sm">
        Refer to your friend
      </div>
      <button type="button" class="btn-refer" @click="onReferYourFriend">
        Refer Your Friend
      </button>
    </div>
  </div>
  <el-dialog
    v-model="isQRDialogVisable"
    custom-class="refer-to-friend"
    destroy-on-close
  >
    <template #title>Refer</template>
    <div class="dialog-refer-friend">
      <div class="font-normal text-sm text-center">
        {{ $t("refer_your_friend_to_get_more_reward") }}
      </div>
      <qrcode-vue
        id="qrCode"
        :value="referralLink"
        :size="180"
        class="p-2 bg-white rounded"
      ></qrcode-vue>
      <button
        type="button"
        class="flex gap-1 justify-center rounded-[20px] bg-[var(--primary)] py-[10px] w-[200px]"
        @click="onCopyQRCode"
      >
        <SvgIcon svg-name="icon-download" class="icon w-5 h-5" />
        <span class="font-bold">{{ $t("download") }}</span>
      </button>
      <button
        type="button"
        class="flex gap-1 justify-center rounded-[20px] bg-[var(--primary)] py-[10px] w-[200px]"
        @click="onCopyTextToClipBoard"
      >
        <SvgIcon svg-name="icon-copy" class="icon w-5 h-5" />
        <span class="font-bold">{{ $t("copy_link") }}</span>
      </button>
    </div>
  </el-dialog>
</template>

<script setup lang="ts">
import QrcodeVue from "qrcode.vue";
import Reward from "./reward.vue";

const { getAssetImage } = commonHelper;
const isQRDialogVisable = ref(false);
const onReferYourFriend = () => {
  isQRDialogVisable.value = true;
};
const { referralLink, onCopyTextToClipBoard, onCopyQRCode } =
  useReferral();
</script>

<style scoped lang="scss">
@media screen and (max-width: 639px) {
  .reward-page {
    display: none;
  }
  .mobile-referral-page {
    display: flex !important;
    margin-top: 50px;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
    width: 100%;
    height: 100%;

    .btn-refer {
      width: 206px;
      height: 40px;
      background: var(--primary);
      border-radius: 20px;
    }
  }
}
</style>
<style lang="scss">
.text.icon {
  fill: var(--textBtn);
}
.refer-to-friend {
  min-height: 428px;
  background: var(--background5);
  border-radius: 8px;
  width: calc(100% - 2rem);
  border: 2px solid var(--border);

  .el-dialog__headerbtn {
    top: 2px;
  }
  .el-icon.el-dialog__close {
    height: 18px;
    width: 18px;
    color: black;
    border-radius: 50%;
    background: var(--primary);
  }

  .el-dialog__header {
    margin-right: 0;
    border-bottom: 2px solid var(--border);
    padding: 1rem;
  }
  .dialog-refer-friend {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    align-items: center;
    width: 100%;
    height: 100%;
  }
}
</style>
